Returns a specific provider
cURL
curl --request GET \ --url https://api.nango.dev/providers/{provider} \ --header 'Authorization: Bearer <token>'
{ "data": { "name": "hubspot", "logo_url": "https://app.nango.dev/images/template-logos/hubspot.svg", "display_name": "HubSpot", "categories": ["marketing","support","crm"], "auth_mode": "OAUTH2", "authorization_url": "https://app.hubspot.com/oauth/authorize", "token_url": "https://api.hubapi.com/oauth/v1/token", "connection_configuration": ["portalId"], "post_connection_script": "hubspotPostConnection", "webhook_routing_script": "hubspotWebhookRouting", "proxy": { "base_url": "https://api.hubapi.com", "decompress": true, "paginate": { "type": "cursor", "cursor_path_in_response": "paging.next.after", "limit_name_in_request": "limit", "cursor_name_in_request": "after", "response_path": "results" } }, "docs": "https://nango.dev/docs/api-integrations/hubspot" } }
The secret key from your Nango environment.
The provider name
Successfully returned a specific provider
Show child attributes
Was this page helpful?